Skip to content

Set card PIN

Request

Sets a PIN during the card order flow. This endpoint will be accessible for partners that require to set a PIN during the card order flow.

Please follow this guide to use this endpoint.

To use this endpoint, make sure to set the api token and the card order id in the headers.

Security
UserToken
Headers
x-tw-twcard-order-idstringrequired

The card order ID.

Example:142
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
keyVersionintegerrequired

The version of the key to use. It is always set to 1.

Example:1
encryptedPayloadstringrequired
Example:"eyJhbGciOiJSU0..."
curl -i -X POST \
  https://twcard.wise.com/twcard-data/v1/sensitive-card-data/preset-pin \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'x-tw-twcard-order-id: 142' \
  -d '{
    "keyVersion": 1,
    "encryptedPayload": "eyJhbGciOiJSU0..."
  }'

Responses

OK - PIN set successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
cardOrderIdstring

The card order ID.

Example:"142"
Response
{ "cardOrderId": "142" }